declare function pbkdf2({ password, salt }: Pbkdf2Input): Buffer;
declare function argon2({ password, salt }: Pbkdf2Input): Promise<Buffer>;
declare function aesEncrypt(data: string, password: string): Promise<string>;
declare function aesDecrypt(data: string, password: string): Promise<string>;
declare type Pbkdf2Input = {
    readonly password: string;
    readonly salt: Uint8Array;
};

export { aesDecrypt, aesEncrypt, argon2, pbkdf2 };
